package com.wdkl.ncs.janus.client;

import com.wdkl.ncs.janus.util.EnumType;

import java.math.BigInteger;

public interface CallSessionCallback {
    void didCallEndWithReason(EnumType.CallEndReason var1);

    void didChangeState(EnumType.CallState var1);

    void didChangeMode(boolean isAudioOnly);

    void didCreateLocalVideoTrack();

    void didReceiveRemoteVideoTrack(BigInteger userId);

    void didUserLeave(BigInteger userId);

    void didError(String error);

    void didDisconnected(String userId);

    void didHangUp(BigInteger handlerId);

}
